Class List Method List File List

# Class: Haml::SafeErubisTemplate

Inherits:
  Tilt::ErubisTemplate
  - Object
  - Tilt::ErubisTemplate
  - Haml::SafeErubisTemplate
  show all
Defined in:
  lib/haml/helpers/safe_erubis_template.rb

## Instance Method Summary (collapse)

- - initialize_engine
- - precompiled_postamble(locals)
- - precompiled_preamble(locals)
- - prepare

## Instance Method Details

### - initialize_engine

    13
    14

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 13

    def initialize_engine
    end

### - precompiled_postamble(locals)

    25
    26
    27

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 25

    def precompiled_postamble(locals)
      [super, '@output_buffer.to_s'].join("\n")
    end

### - precompiled_preamble(locals)

    21
    22
    23

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 21

    def precompiled_preamble(locals)
      [super, "@output_buffer = ActionView::OutputBuffer.new;"].join("\n")
    end

### - prepare

    16
    17
    18
    19

    # File 'lib/haml/helpers/safe_erubis_template.rb', line 16

    def prepare
      @options.merge! :engine_class => Haml::ErubisTemplateHandler
      super
    end